Bug 122805 - local variable used before set
local variable used before set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 05:01 EDT by d.binderman
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 00:29:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-05-08 05:01:53 EDT
Description of problem:

I just tried to compile Core2 Test3 package wireless-tools-26-4

The compiler said

iwlib.c(1170): remark #592: variable "range" is used before its value
is set

The source code is

      printf("flags = %X, index = %X\n", *flags,
range.encoding_login_index);

Suggest init range before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-01-28 00:29:38 EST
This is fixed in current code.

Note You need to log in before you can comment on or make changes to this bug.